Subject: RE: questions about making a script file for YAMON command

From: "Berg, Christian" <[email-masked]>
Date: Thu, 12 Feb 2004 06:40:53 -0800

Hi Manling,
 
there is a variable called START in the YAMON environment. The contents of
which is executed at YAMON start-up. So if you can fit your 'edit' commands
in the space provided you're good to go. See page 22 of the YAMON user
manual
(http://www.mips.com/content/Documentation/MIPSDocumentation/Software/doclib
rary
<http://www.mips.com/content/Documentation/MIPSDocumentation/Software/doclib
rary> ). But this is getting off topic now...
 
Chris

-----Original Message-----
From: Ren, Manling [mailto:[email-masked]] 
Sent: Thursday, February 12, 2004 2:45 PM
To: [email-masked]
Subject: RE: questions about making a script file for YAMON command

Dear the technical support team,
 
I am running YAMON on pb1100 board in Linux.  At the YAMON prompt, I need to
change some registers by using the command "edit -32 0x########"  several
times.  I wonder if I can put all these "edit" commands into a script file
then run this file without typing any more commands?  How can I achieve this
if it is possible.  It seems that the "load" command in YAMON is only
supported srec file.  Could you give me some clues please.  Thanks a lot.
 
Regards,
Manling
 
____________________________ 
Manling Ren  :-)* ******* *****                

Welwyn OPDU Software Architecture Team 
OPDU                    
Xerox Limited Technical Centre 
DP2         
Bessemer Road               
Welwyn Garden City  AL7 1HE         
Hertfordshire               
UK                          
%    +44 (0)1707 35 2704                  
*     8 668 2704 (xerox intranet)         
*     +44 (0)1707 35 3947         
*    [email-masked]  
_________________________________